Subject: bug#12450: Remove configure's --without-sync-input option.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Sep 2012 11:24:02 +0300

> Date: Sun, 16 Sep 2012 01:17:33 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
> On 09/16/2012 01:05 AM, Eli Zaretskii wrote:
> 
> >> No, it is not used indirectly.  emacs_blocked_malloc is the only
> >> function that uses malloc_hysteresis to set __malloc_extra_blocks.
> >> And emacs_blocked_malloc is invoked only in the non-SYNC_INPUT code.
> > 
> > Which means that gmalloc.c, and any memory allocation based on that,
> > will work differently with that function removed
> 
> No, because the function is never invoked, if we assume SYNC_INPUT.

Yes, it _is_ invoked on platforms that don't use SYNC_INPUT now.

And in addition, we cannot be sure whether its non-invocation on
SYNC_INPUT platforms isn't a simple omission, because most Posix
platforms use neither gmalloc nor ralloc.c.  So, when SYNC_INPUT was
coded, it's quite possible that assignment to __malloc_extra_blocks
was omitted by mistake that never got revealed.